﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=11
@EndOfDesignText@
Sub Class_Globals
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	'Private Panel1 As B4XView

	Private backButton1 As B4XView
	Private Label1 As B4XView
	Private lblTitle As B4XView
	Private lblContent As B4XView
	
	Private infoCustomListView1 As CustomListView
	Private logoImageView1 As B4XView
''''	Private Dynamic As DynamicallyResizedLabel  didn't bookmark this and couldn't quite get it to work here anyway

End Sub

'You can add more parameters here.
Public Sub Initialize As Object
	Return Me
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Dim titletext As String
	
	Root = Root1
	Root.LoadLayout("infoPAGE")
	
	titletext = "      testLABEL 1.0 Information "

	B4XPages.SetTitle(Me, titletext)
End Sub

private Sub B4XPage_Appear
	loadINFO
End Sub
'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Private Sub backButton1_Click
	B4XPages.ClosePage(Me)
End Sub

private Sub loadINFO
	
	ToastMessageShow ("Load Info Page", True)
	
	FillList

End Sub

Sub FillList
	Private content As String
	Dim n As Long = DateTime.Now
	
	infoCustomListView1.Clear

	For i = 1 To 7
		content = utility.infotext(i)
		infoCustomListView1.Add(CreateItem(infoCustomListView1.AsView.Width, $"${i}"$, content), i)
	Next
	Log("Loading cards took: " & (DateTime.Now - n) & "ms")
End Sub

' somewhere below here the hieght of lblContent must change based on the text
Private Sub CreateItem(Width As Int, Title As String, Content As String) As Panel
	Dim p As B4XView = xui.CreatePanel("")
	Dim height As Int = 250dip
	Dim contenth As StringUtils
		
	If GetDeviceLayoutValues.ApproximateScreenSize < 4.5 Then height = 310dip
	
	p.LoadLayout("Card1")
	p.SetLayoutAnimated(0, 0, 0, Width,height)
	'p.SetColorAndBorder(Colors.Green,2,Colors.Black,0)
	
	lblContent.TextSize	= 15
	lblTitle.Text		= Title
	lblContent.Text		= Content
	lblContent.Height	= contenth.MeasureMultilineTextHeight (lblContent, lblContent.Text)

'''	utility.SizeToFitWidth(lblContent, 0-lblContent.Width)
'''	utility.SizeToFitHeight(lblContent, 0-lblContent.Height)

'Log (lblContent.Text)
	LogColor ("label height [as you can see it varies] " & lblContent.Height, Colors.Blue) 
	LogColor ("panel height remains constant [might need to adjust as well though]  " & p.height, Colors.Blue)
	
	Return p
End Sub



